Page MenuHomePhabricator

Port blockreview.py to core
Closed, ResolvedPublic

Description

blockreview.py has been added to core, but is not yet working.


Version: core-(2.0)
Severity: normal

Details

Reference
bz64832

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:13 AM
bzimport added a project: Pywikibot-General.
bzimport set Reference to bz64832.

Change 135200 had a related patch set uploaded by Xqt:
(bug 64832) Port blockreview to core.

https://gerrit.wikimedia.org/r/135200

Change 135200 merged by jenkins-bot:
(bug 64832) Port blockreview to core.

https://gerrit.wikimedia.org/r/135200

jayvdb reopened this task as Open.Dec 19 2014, 11:27 AM
jayvdb added a subscriber: jayvdb.

The port was not completed before it was checked in. And I suspect the code in compat has serious bugs which should have been resolved before or during the port.

Xqt added a comment.Dec 19 2014, 11:31 AM

The code has never been finished. I established it years ago to merge pt and de behaviors for review of blocked users. Maybe we could just move it to pywikibot/bots/xqbot repository when we had it.

droid added a subscriber: droid.Dec 19 2014, 12:18 PM

It is a useful script. @Ricordisamoa said he was interested in fixing it in https://gerrit.wikimedia.org/r/#/c/179085/ .
The port just needs to be finished.

Xqt triaged this task as Lowest priority.Jul 16 2015, 8:02 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 24 2016, 7:34 AM
Xqt closed this task as Resolved.Jan 24 2016, 7:43 AM

Port is completed. Improvement to be followed.